'( Schrittmotor an B.0 bis B.3, Poti an B.4 (oder Pulsin an B.4)
   Motor luft dem Ad-Wandler/Poti hinterher
   Wird Das Poti Bei Stromausfall Nicht Verstellt,
   dann bleibt die Zuordnung erhalten

        Reset 1--T13--8 +Vcc
        <- B3 2       7 B2 ->
Input4 - > B4 3       6 B1 ->
          Gnd 4_______5 B0 ->
')
'$prog &HFF , &H7A , &HFF , &H00                ' generated. Take care that the chip supports all fuse bytes.
'-------------------------------------------------------------------------------
$regfile = "attiny13.dat"
$crystal = 9600000
$hwstack = 16
$swstack = 16
$framesize = 16

Ddrb = &B00001111
Config Adc = Single , Prescaler = Auto , Reference = Avcc

Declare Sub Voll_schritt_vor
Declare Sub Voll_schritt_ruck

Dim I As Byte
Dim J As Byte
Dim Schritt As Byte                            'Muster
Dim Input4 As Word
Dim Posalt As Word

Const Tempo = 10                               '100 Schritte/s -> ~20s/360

Posalt = Getadc(2) / 61                        'Pos nach Reset holen
'-------------------------------------------------------------------------------
Do
Lb0:
   Input4 = Getadc(2) / 61                     'auf Segment 0-16

   If Posalt = Input4 Then Goto Lb0

   If Posalt < Input4 Then
      For J = 1 To 32                          '32 Vollschritte fr 22,5
         Voll_schritt_vor
      Next J
      Posalt = Posalt + 1
   End If

   If Posalt > Input4 Then
      For J = 1 To 32                          '32 Vollschritte fr 22,5
         Voll_schritt_ruck
      Next J
      Posalt = Posalt - 1
   End If

Loop
'-------------------------------------------------------------------------------
Sub Voll_schritt_vor
   Restore Vor1                                'Vollschritt vorwrts
'   Restore Vor2                                'Vollschritt vorwrts 2 Spulen
   For I = 1 To 4
      Read Schritt
      Portb = Schritt And &B00001111:
      Waitms Tempo                             'ausgeben
   Next I
   Portb = 0
End Sub
Sub Voll_schritt_ruck
   Restore Ruck1                               'Vollschritt rckwrts
'   Restore Ruck2                               'Vollschritt rckwrts 2 Spulen
   For I = 1 To 4
      Read Schritt
      Portb = Schritt And &B00001111:
      Waitms Tempo                             'ausgeben
   Next I
   Portb = 0
End Sub
End                                            'end program
'-------------------------------------------------------------------------------
Vor1:                                          'Muster fr 1 aktive Spule
Data &B0010 , &B0100 , &B1000 , &B0001
Vor2:                                          'Muster fr 2 aktive Spulen
Data &B0011 , &B0110 , &B1100 , &B1001
Ruck1:
Data &B1000 , &B0100 , &B0010 , &B0001
Ruck2:
Data &B1100 , &B0110 , &B0011 , &B1001